Bug 129552 - cdrecord fails while writting a CD track on ATAPI device
cdrecord fails while writting a CD track on ATAPI device
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 07:24 EDT by Grzegorz Dec
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:55:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from cdrecord (3.24 KB, text/plain)
2004-08-10 07:26 EDT, Grzegorz Dec
no flags Details
file /proc/ide/piix (520 bytes, text/plain)
2004-08-10 07:30 EDT, Grzegorz Dec
no flags Details
file /etc/cdrecord.conf (976 bytes, text/plain)
2004-08-10 07:33 EDT, Grzegorz Dec
no flags Details

  None (edit)
Description Grzegorz Dec 2004-08-10 07:24:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Sometimes I got input/output error while recording data. My cd-writer
is IDE HL-DT-ST RW/DVD GCC-4480B, errors occur when writting as a
regular user and as root too. cdrecord says:
The current problem looks like a buffer underrun.
It looks like 'driveropts=burnfree' does not work for this drive.

DMA is on, burnfree is on, I write with speed 16.

G. Dec


Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a27.3

How reproducible:
Sometimes

Steps to Reproduce:
1. mkisofs -TrJ -o /tmp/cdrom.iso /directory
2. cdrecord -eject -speed=16 -multi /tmp/cdrom.iso
3.
    

Actual Results:
cdrecord: Input/output error. write_g1: scsi sendcmd: no error
CDB:  2A 00 00 00 30 EF 00 00 1F 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 21 02 00 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x21 Qual 0x02 (invalid address for write) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 2.270s timeout 40s

write track data: error after 1079296 bytes
cdrecord: The current problem looks like a buffer underrun.
cdrecord: It looks like 'driveropts=burnfree' does not work for this
drive.
cdrecord: Please report.
cdrecord: Make sure that you are root, enable DMA and check your HW/OS
set up.
Writing  time:   18.736s
Average write speed 358.5x.
Min drive buffer fill was 81%


Expected Results:
something like this:
Track 04:    4 of    4 MB written (fifo 100%) [buf 100%]  16.4x.

Additional info:
Comment 1 Grzegorz Dec 2004-08-10 07:26:44 EDT
Created attachment 102559 [details]
output from cdrecord
Comment 2 Grzegorz Dec 2004-08-10 07:30:30 EDT
Created attachment 102560 [details]
file /proc/ide/piix
Comment 3 Grzegorz Dec 2004-08-10 07:33:06 EDT
Created attachment 102561 [details]
file /etc/cdrecord.conf
Comment 4 Harald Hoyer 2004-08-27 12:06:55 EDT
try: dev=ATA:1,0,0 instead of dev=ATAPI:0,0,0
Comment 5 Harald Hoyer 2005-09-16 09:55:51 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.